# Makefile lscp.lib

CC = bcc32
AR = tlib /C
CP = copy
RM = del

all:	lscp_client_test.exe lscp_server_test.exe lscp.lib

CCFLAGS = -I. -v -y -DDEBUG
LDFLAGS = -L.
LDLIBS  = lscp.lib

lscp_client_test.exe:	lscp_client_test.c lscp_client.h lscp_parser.h lscp.lib
	$(CC) $(CCFLAGS) lscp_client_test.c $(LDFLAGS) $(LDLIBS)

lscp_server_test.exe:	lscp_server_test.c lscp_server.h lscp_parser.h lscp.lib
	$(CC) $(CCFLAGS) lscp_server_test.c $(LDFLAGS) $(LDLIBS)

lscp.lib:	lscp_thread.obj lscp_socket.obj lscp_client.obj lscp_server.obj lscp_parser.obj
	@if exist lscp.lib $(RM) lscp.lib
	$(AR) lscp.lib +lscp_thread.obj +lscp_socket.obj
	$(AR) lscp.lib +lscp_client.obj +lscp_server.obj
	$(AR) lscp.lib +lscp_parser.obj

.c.obj:
	$(CC) $(CCFLAGS) -c {$< }

clean:
	@if exist *.exe $(RM) *.exe
	@if exist *.lib $(RM) *.lib
	@if exist *.obj $(RM) *.obj
	@if exist *.t?? $(RM) *.t??
	@if exist *.bak $(RM) *.bak

